package com.atguigu.context;

import com.atguigu.spzx.model.entity.system.SysUser;
import com.atguigu.spzx.model.entity.user.UserInfo;

public class BaseContext {
    public static ThreadLocal<Long> threadLocal = new ThreadLocal<>();
    public static ThreadLocal<SysUser> sysUserThreadLocal = new ThreadLocal<>();
    public static ThreadLocal<UserInfo> userInfoThreadLocal = new ThreadLocal<>();

    /**
     * 获取当前用户id
     */
    public static Long getUserId() {
        return threadLocal.get();
    }

    /**
     * 设置用户id
     */
    public static void setUserId(Long userId) {
        threadLocal.set(userId);
    }

    /**
     * 获取当前 系统用户实体类
     */
    public static SysUser getSysUser() {
        return sysUserThreadLocal.get();
    }

    /**
     * 设置当前 系统用户实体类
     */
    public static void setSysUser(SysUser sysUser) {
        sysUserThreadLocal.set(sysUser);
    }

    /**
     * 获取当前 用户实体类
     */
    public static UserInfo getUserInfo() {
        return userInfoThreadLocal.get();
    }

    /**
     * 设置当前 用户实体类
     */
    public static void setUserInfo(UserInfo userInfo) {
        userInfoThreadLocal.set(userInfo);
    }

    /**
     * 移出当前id
     */
    public static void remove() {
        threadLocal.remove();
    }

    /**
     * 移出当前 系统用户实体类
     */
    public static void removeSysUser() {
        sysUserThreadLocal.remove();
    }

    /**
     * 移出当前 用户实体类
     */
    public static void removeUserInfo() {
        userInfoThreadLocal.remove();
    }
}
