package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.entity.product.Brand;

import java.util.List;

public interface BrandMapper {
    /**
     * 查找分页品牌
     *
     * @return 品牌列表
     */
    List<Brand> findByPage();

    /**
     * 品牌添加
     *
     * @param brand 品牌实体类
     */
    void save(Brand brand);

    /**
     * 修改品牌
     *
     * @param brand 品牌实体类
     */
    void updateById(Brand brand);

    /**
     * 根据id删除品牌
     *
     * @param id 品牌id
     */
    void deleteById(Long id);
}
