package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.dto.system.SysRoleDto;
import com.atguigu.spzx.model.entity.system.SysRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysRoleMapper {
    /**
     * 查询角色信息
     *
     * @param sysRoleDto 请求参数实体类
     * @return List<SysRole
     */
    List<SysRole> findByPage(SysRoleDto sysRoleDto);

    /**
     * 添加角色相关内容
     *
     * @param sysRole 角色实体类
     */
    void saveSysRole(SysRole sysRole);

    /**
     * 修改角色相关信息
     *
     * @param sysRole 角色实体类
     */
    void updateSysRole(SysRole sysRole);

    /**
     * 根据角色id删除角色
     *
     * @param roleId 角色id
     */
    void deleteById(Long roleId);

    /**
     * 查询所有角色
     *
     * @return 所有角色
     */
    List<SysRole> findAllRoles();
}
