package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.entity.system.SysMenu;
import com.atguigu.spzx.model.vo.system.SysMenuVo;

import java.util.List;

public interface SysMenuService {
    /**
     * 查询菜单
     *
     * @return 菜单列表
     */
    List<SysMenu> findNodes();

    /**
     * 添加菜单
     *
     * @param sysMenu 系统菜单实体类
     */
    void save(SysMenu sysMenu);

    /**
     * 修改菜单
     *
     * @param sysMenu 系统菜单实体类
     */
    void updateById(SysMenu sysMenu);

    /**
     * 删除菜单
     *
     * @param id 菜单id
     */
    void removeById(Long id);

    /**
     * 动态菜单
     *
     * @return 动态菜单列表
     */
    List<SysMenuVo> findUserMenuList();
}
