package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.dto.system.AssginRoleDto;
import com.atguigu.spzx.model.dto.system.SysRoleDto;
import com.atguigu.spzx.model.entity.system.SysRole;
import com.atguigu.spzx.model.vo.system.AllRolesVo;
import com.github.pagehelper.PageInfo;

public interface SysRoleService {
    /**
     * 查询角色信息返回分页
     *
     * @param sysRoleDto 请求参数实体类
     * @param pageNum    当前也
     * @param pageSize   分页大小
     * @return 返回分页结果
     */
    PageInfo<SysRole> findByPage(SysRoleDto sysRoleDto, Integer pageNum, Integer pageSize);

    /**
     * 添加角色相关内容
     *
     * @param sysRole 角色实体类
     */
    void saveSysRole(SysRole sysRole);

    /**
     * 修改角色相关信息
     *
     * @param sysRole 角色实体类
     */
    void updateSysRole(SysRole sysRole);

    /**
     * 根据角色id删除角色
     *
     * @param roleId 角色id
     */
    void deleteById(Long roleId);

    /**
     * 查询所有角色
     *
     * @return 所有角色信息
     */
    AllRolesVo findAllRoles(Long userId);

    /**
     * 保存角色数据
     *
     * @param assginRoleDto 请求参数实体类
     */
    void doAssign(AssginRoleDto assginRoleDto);
}
