package com.atguigu.spzx.manger.service.impl;

import com.alibaba.excel.EasyExcel;
import com.atguigu.spzx.manger.mapper.CategoryMapper;
import com.atguigu.spzx.manger.service.CategoryService;
import com.atguigu.spzx.model.entity.product.Category;
import com.atguigu.spzx.model.vo.product.CategoryExcelVo;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.List;

@Service
public class CategoryServiceImpl implements CategoryService {
    @Autowired
    private CategoryMapper categoryMapper;

    /**
     * 根据parentId获取下级节点
     *
     * @param parentId 父级ID
     * @return 分类实体类列表
     */
    @Override
    public List<Category> findByParentId(Long parentId) {
        // 根据分类id查询它下面的所有的子分类数据
        List<Category> categoryList = categoryMapper.selectByParentId(parentId);
        if (!CollectionUtils.isEmpty(categoryList)) {
            categoryList.forEach(item -> {
                // 查询该分类下子分类的数量
                int count = categoryMapper.countByParentId(item.getId());
                item.setHasChildren(count > 0);
            });
        }
        return categoryList;
    }

    /**
     * 导出数据
     *
     * @param response HttpServletResponse
     */
    @Override
    public void exportData(HttpServletResponse response) {
        // TODO 导出数据
    }

    /**
     * 导入功能
     *
     * @param file Excel文件
     */
    @Override
    public void importData(MultipartFile file) {
        // TODO 导入功能
    }
}
